<?php global $SMTheme; ?>
<?php if (!$SMTheme->get( 'layout', 'dpagination' )) { ?>
<div class='pagination classic'>
			<?php
global $wp_query;
$big = 999999999; 
	
	$page_links=paginate_links( array(
	'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
	'format' => '?paged=%#%',
	'current' => max( 1, get_query_var('paged') ),
	'type' => 'array',
	'total' => $wp_query->max_num_pages
) );
echo '<ul class="page-numbers">';
foreach ($page_links as $page_link) {
	if (preg_match('/span/', $page_link))
		$class=' class="current"';
	else 
		$class='';
	
	echo '<li'.$class.'>'.$page_link.'</li>';
}
echo '</ul>';
?>
</div>

<?php } else { 
	$currentpage=max( 1, get_query_var('paged') );
	if ($wp_query->max_num_pages > $currentpage) {
?>	
<div class='pagination'>
	<a class="nextpage" alt='<?php echo ($currentpage+1) ?>' href='<?php echo get_pagenum_link($currentpage+1) ?>'><?php echo $SMTheme->_( 'nextpage' ); ?></a>
</div>
<?php } }?>